D4Science D4Science Don't have a D4Science account? Create one Could not find what you are looking for? Contact us.

GeoportalHealth Resource

The Class GeoportalHealth.

GET /health

Service check.

Response Body
media type data type description
application/json object (JSON) the response compliant to `microprofile-health` specification. 200 if is OK. Otherwise it fails.

Example

Request
GET /srv/health
Content-Type: */*
Accept: application/json

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

GET /health/database

Database check.

Request Parameters
name type description
context query the gcube context
Response Body
media type data type description
application/json object (JSON) the response compliant to `microprofile-health` specification

Example

Request
GET /srv/health/database
Content-Type: */*
Accept: application/json

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

GET /health/mongo

Mongo check.

Request Parameters
name type description default constraints
context query the gcube context    
include_collections query false boolean
Response Body
media type data type description
application/json object (JSON) the response compliant to `microprofile-health` specification

Example

Request
GET /srv/health/mongo
Content-Type: */*
Accept: application/json

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...